diff --git a/CMakeLists.txt b/CMakeLists.txt
index cdfdcb3..bb68215 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -83,6 +83,46 @@ if( WITH_NEWDISTRLISTS )
 endif( )
 
 
+##### options comments ##########################
+
+# WITH_ARTS   affects kalarm
+# WITH_ARTS   description without arts kalarm won't be able to play sound with
+#                         its messages at all.
+# WITH_SASL   affects kioslaves(sieve imap4)
+# WITH_SASL   description sieve kioslave won't be built without sasl and 
+#	                      imap4 kioslave will loose the ability of SASL
+#	                      auntification
+# WITH_SASL   requires libgsasl
+# WITH_NEWDISTRLISTS affects kabc kadressbook
+# WITH_NEWDISTRLISTS description if set use new version of the KAB
+#                                Distribution Mail List Plugin otherwise use
+#                                the old one.
+# 
+# WITH_GNOKII        affects kphonebook kmobile
+# WITH_GNOKII        description in kphonebook gnoki adds some
+#                                phone-synchronization features
+# WITH_EXCHANGE      affects kresources korganizer
+# WITH_EGROUPWARE    affects kresources wizards
+# WITH_KOLAB         affects kresources wizards
+# WITH_SLOX          affects kresources wizards
+# WITH_GROUPWISE     affects kresources wizards
+# WITH_FEATUREPLAN   affects kresources
+# WITH_GROUPDAV      affects kresources
+# WITH_BIRTHDAYS     affects kresources
+# WITH_NEWEXCHANGE   affects kresources wizards
+# WITH_SCALIX        affects kresources wizards
+# WITH_CALDAV        affects kresources
+# WITH_CARDDAV       affects kresources
+# WITH_INDEXLIB      affects kmail
+
+
+# NOTE: WITH_GNOKII support in kmobile is outdated and permenently disabled
+#       for now
+# NOTE: WITH_{EGROUPWARE,KOLAB,SLOX,GROUPWISE,FEATUREPLAN,GROUPDAV,BIRTHDAYS,
+#             NEWEXCHANGE,SCALIX,CALDAV,CARDDAV} in kresources selects which
+#       its modules would be built. 
+
+
 ##### user requested modules ####################
 
 option( BUILD_ALL "Build all" OFF )
